#ifndef MBEDTLS_AES_ALT_H
#define MBEDTLS_AES_ALT_H

#include <cipher/aes.h>

typedef struct mbedtls_aes_context {
  struct aes MBEDTLS_PRIVATE(aes);
} mbedtls_aes_context;

typedef struct mbedtls_aes_xts_context {
  mbedtls_aes_context MBEDTLS_PRIVATE(crypt);
  mbedtls_aes_context MBEDTLS_PRIVATE(tweak);
} mbedtls_aes_xts_context;

#endif
